com.digi.xbee.api.models

## Class XBeeTransmitOptions

- java.lang.Object
- - com.digi.xbee.api.models.XBeeTransmitOptions

-     public class XBeeTransmitOptions
      extends Object

  This class lists all the possible options that can be set while transmitting an XBee data packet.

  The transmit options are usually set as a bitfield meaning that the options can be combined using the '|' operand.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIGIMESH_MODE` Transmission is performed using DigiMesh mode (value: 192).
    `static int` | `DISABLE_ACK` Disables acknowledgments on all unicasts (value: 1).
    `static int` | `DISABLE_RETRIES_AND_REPAIR` Disables the retries and router repair in the frame (value: 1).
    `static int` | `DONT_ATTEMPT_RD` Doesn't attempt Route Discovery (value: 2).
    `static int` | `ENABLE_APS_ENCRYPTION` Enables APS encryption, only if `EE=1` (value: 32).
    `static int` | `ENABLE_UNICAST_NACK` Enables unicast NACK messages (value: 4).
    `static int` | `ENABLE_UNICAST_TRACE_ROUTE` Enables unicast trace route messages (value: 4).
    `static int` | `NONE` No special transmit options (value: 0).
    `static int` | `POINT_MULTIPOINT_MODE` Transmission is performed using point-to-Multipoint mode (value: 64).
    `static int` | `REPEATER_MODE` Transmission is performed using repeater mode (value: 128).
    `static int` | `USE_BROADCAST_PAN_ID` Sends packet with broadcast `PAN ID`.
    `static int` | `USE_EXTENDED_TIMEOUT` Uses the extended transmission timeout (value: 64).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBeeTransmitOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIGIMESH_MODE

          public static final int DIGIMESH_MODE

      Transmission is performed using DigiMesh mode (value: 192).

      Only valid for DigiMesh 868/900 and Point-to-Multipoint 868/900 protocols.

      See Also:
        Constant Field Values

    - #### DISABLE_ACK

          public static final int DISABLE_ACK

      Disables acknowledgments on all unicasts (value: 1).

      Only valid for DigiMesh, 802.15.4 and Point-to-multipoint protocols.

      See Also:
        Constant Field Values

    - #### DISABLE_RETRIES_AND_REPAIR

          public static final int DISABLE_RETRIES_AND_REPAIR

      Disables the retries and router repair in the frame (value: 1).

      Only valid for ZigBee protocol.

      See Also:
        Constant Field Values

    - #### DONT_ATTEMPT_RD

          public static final int DONT_ATTEMPT_RD

      Doesn't attempt Route Discovery (value: 2).

      Disables Route Discovery on all DigiMesh unicasts.

      Only valid for DigiMesh protocol.

      See Also:
        Constant Field Values

    - #### ENABLE_APS_ENCRYPTION

          public static final int ENABLE_APS_ENCRYPTION

      Enables APS encryption, only if `EE=1` (value: 32).

      Enabling APS encryption decreases the maximum number of RF payload bytes by 4 (below the value reported by `NP`).

      Only valid for ZigBee XBee protocol.

      See Also:
        Constant Field Values

    - #### ENABLE_UNICAST_NACK

          public static final int ENABLE_UNICAST_NACK

      Enables unicast NACK messages (value: 4).

      NACK message is enabled on the packet.

      Only valid for DigiMesh 868/900 protocol.

      See Also:
        Constant Field Values

    - #### ENABLE_UNICAST_TRACE_ROUTE

          public static final int ENABLE_UNICAST_TRACE_ROUTE

      Enables unicast trace route messages (value: 4).

      Trace route is enabled on the packets.

      Only valid for DigiMesh 868/900 protocol.

      See Also:
        Constant Field Values

    - #### NONE

          public static final int NONE

      No special transmit options (value: 0).
      See Also:
        Constant Field Values

    - #### POINT_MULTIPOINT_MODE

          public static final int POINT_MULTIPOINT_MODE

      Transmission is performed using point-to-Multipoint mode (value: 64).

      Only valid for DigiMesh 868/900 and Point-to-Multipoint 868/900 protocols.

      See Also:
        Constant Field Values

    - #### REPEATER_MODE

          public static final int REPEATER_MODE

      Transmission is performed using repeater mode (value: 128).

      Only valid for DigiMesh 868/900 and Point-to-Multipoint 868/900 protocols.

      See Also:
        Constant Field Values

    - #### USE_BROADCAST_PAN_ID

          public static final int USE_BROADCAST_PAN_ID

      Sends packet with broadcast `PAN ID`. Packet will be sent to all devices in the same channel ignoring the `PAN ID` (value: 4).

      It cannot be combined with other options.

      Only valid for 802.15.4 XBee protocol.

      See Also:
        Constant Field Values

    - #### USE_EXTENDED_TIMEOUT

          public static final int USE_EXTENDED_TIMEOUT

      Uses the extended transmission timeout (value: 64).

      Setting the extended timeout bit causes the stack to set the extended transmission timeout for the destination address.

      Only valid for ZigBee XBee protocol.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XBeeTransmitOptions

          public XBeeTransmitOptions()

© Copyright 2014–2014 Digi International Inc. All rights reserved.